<?php
/***
* File: ajax/index.php
* Author: design1online.com, LLC
* Created: 12.20.2011
* License: Public GNU
* Description: respond to ajax calls
***/

//include the required files
require_once('../oop/class.game.php');
require_once('../oop/class.hangman.php');

//this will keep the game data as they make a new ajax request
session_start();
	
//respond to AJAX requests
echo doAction($_GET);

function doAction($_GET)
{
	switch ($_GET['type'])
	{
		case "playGame":
			return playGame($_GET);
		default:
			return "Invalid option selected.";
	}
}

/***
* Purpose: Display and play the game
* Preconditions: a game exists
* Postconditions: the current game is displayed to the screen
***/
function playGame($_GET)
{	
	//if they haven't started a game yet let's load one
	if (!$_SESSION['game']['hangman'])
		$_SESSION['game']['hangman'] = new hangman();
	
	echo "<h2>Let's Play Hangman!</h2>";
	$_SESSION['game']['hangman']->playGame($_GET);
}