/***
* File: hangman.js
* Author: design1online.com, LLC
* Created: 12.20.2011
* License: Public GNU
* Description: jQuery that runs the game
***/
$(document).ready(function() {

	//start the game when the page loads
	playGame();
	
});

/***
* Purpose: play hangman
* Preconditions: none
* Postconditions: new game has started or existing game is in play
***/
function playGame()
{
	$.ajax({
		url: 'ajax/index.php',
		data: {type: 'playGame'},
		success: function( data ) {
			$("#content").html(data); 
		}
	});
}

/***
* Purpose: start a brand new game
* Preconditions: none
* Postconditions: new game has started
***/
function newGame()
{
	$.ajax({
		url: 'ajax/index.php',
		data: {type: 'playGame', newgame: true},
		success: function( data ) {
			$("#content").html(data); 
		}
	});
}

/***
* Purpose: guess a letter
* Preconditions: none
* Postconditions: game status updated
***/
function guessLetter()
{
	//make sure they've entered something into the box
	if (!$("#letter").val()) {
		alert("You must enter a letter.");
		return;
	}
	
	//check to make sure they've entered a letter
	if (!isLetter($("#letter").val())) {
		alert("This is not a letter. Please enter a letter.");
		
		//clear out the value in the input box
		$("#letter").val("");
		return;
	}
	
	//if it was a letter then submit the guess
	$.ajax({
		url: 'ajax/index.php',
		data: {type: 'playGame', letter: $("#letter").val()},
		success: function( data ) {
			$("#content").html(data); 
		}
	});
}

/***
* Purpose: check to see if a value is a letter
* Preconditions: value to check
* Postconditions: returns true if this is a letter
***/
function isLetter(value)
{
	var lettersOnly = /^[a-zA-Z]+$/;
	
	//check to make sure there are no numbers and the value isn't more than 1 characters
	if(value.match(lettersOnly) && value.length == 1)
		return true;
	
	//otherwise this isn't a letter
	return false;
}